Skip to main content

Close Positions

Close a copy trading position.

HTTP Request

POST /api/v1/copy/mix-follower/close-positions

Request Parameters

ParameterTypeRequiredDescription
productTypestringYesProduct type. Only FUSD is supported
trackingNostringYesCopy position ID (tracking number)
symbolstringYesTrading pair symbol (e.g., BTCUSDT)
orderTypestringNoOrder type: LIMIT or MARKET. Default: MARKET
quantitystringNoClose quantity. Default: full position
pricestringConditionalClose price. Required for LIMIT orders

Request Example

curl -X POST "https://open-api.bydoxe.com/api/v1/copy/mix-follower/close-positions" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000" \
-H "Content-Type: application/json" \
-d '{
"productType": "FUSD",
"trackingNo": "123456789",
"symbol": "BTCUSDT",
"orderType": "MARKET",
"quantity": "0.5"
}'

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectResponse data
> trackingNostringTracking number
> clientOidstringClient order ID

Response Example

{
"code": "00000",
"msg": "success",
"requestTime": 1763459280000,
"data": {
"trackingNo": "123456789",
"clientOid": "uuid-order-id"
}
}

Error Codes

CodeMessage
45001Parameter productType cannot be empty
45001Invalid productType
45001Parameter traderUid cannot be empty
45002User not found
45003Follow setting not found
50000System error